Package logilab :: Package common :: Package ureports :: Module nodes :: Class BaseLayout

[frames] | no frames]

# Class BaseLayout

source code

              object --+
                       |
               tree.Node --+
                           |
              object --+   |
                       |   |
    visitor.VisitedMixIn --+
                           |
                  tree.VNode --+
                               |
                   BaseComponent --+
                                   |
                                  BaseLayout

    base container node

    attributes
    * BaseComponent attributes
    * children : components in this table (i.e. the table's cells)

Instance Methods

__init__(self, children=(), **kwargs) x.__init__(...) initializes x; see help(type(x)) for signature | source code

append(self, child) overridden to detect problems easily | source code

parents(self) return the ancestor nodes | source code

add_text(self, text) shortcut to add text data | source code

Inherited from `tree.Node`: `__iter__`, `__str__`, `depth`, `depth_down`, `flatten`, `get_child_by_id`, `get_child_by_path`, `get_node_by_id`, `get_sibling`, `insert`, `is_leaf`, `leaves`, `lineage`, `next_sibling`, `previous_sibling`, `remove`, `replace`, `root`, `width`

Inherited from `visitor.VisitedMixIn`: `accept`, `get_visit_name`, `leave`

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, children=(), **kwargs)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Overrides: object.__init__
  (inherited documentation)

### append(self, child)

source code

    overridden to detect problems easily

Overrides: tree.Node.append